Browse Source

Clifford Wolf:


			
			
				rocklinux
			
			
		
Clifford Wolf 19 years ago
parent
commit
8757ac6e17
2 changed files with 10 additions and 6 deletions
  1. +1
    -0
      Documentation/Developers/REGISTER
  2. +9
    -6
      scripts/Build-Pkg

+ 1
- 0
Documentation/Developers/REGISTER

@ -115,6 +115,7 @@ Filedescriptor Numbers
199 Output plugins unchroot mechanism
200 Package build $builddir/build.pid
201 Target build $build_logs/build_target_$$.log
202 FD for writing outputs to console, not build log
Licence Names (for package description):

+ 9
- 6
scripts/Build-Pkg

@ -764,6 +764,9 @@ abort() {
false
}
# FD 202 can be used to write output to console instead of build log
exec 202>&1
{
(
set -e
@ -773,6 +776,9 @@ abort() {
set -o xtrace
fi
trap 'echo "Got SIGINT (Crtl-C). Aborting build." ; exit 1' INT
exec < /dev/null
hook_eval prepare
mkdir -p "$builddir/archdir"
@ -788,7 +794,7 @@ abort() {
echo; ./scripts/Download $xpkg; echo
echo_status "------------------------"
download=0
fi
fi >&202 2>&1
if [ ! -f $x ]; then
echo "File not found: ${x#$base/}"
abort "Did you run ./scripts/Download for this package?"
@ -797,8 +803,8 @@ abort() {
ln -vs $x "$builddir/archdir/"
done < <( echo "$desc_D" | column_clean )
trap 'echo "Got SIGINT (Crtl-C). Aborting build." ; exit 1' INT
exec < /dev/null
echo_status "Building. Writing output to" \
"\$root/var/adm/logs/$stagelevel-$xpkg.out" >&202
# Makes debugging build problems easier
#
@ -1198,9 +1204,6 @@ EOT
} 2>&1 | {
trap '' INT
echo_status "Building. Writing output to" \
"\$root/var/adm/logs/$stagelevel-$xpkg.out"
if [ "$ROCKCFG_VERBOSE" = 1 -o "$verbose" = 1 ] ; then
tee $root/var/adm/logs/$stagelevel-$xpkg.out
else

Loading…
Cancel
Save